package com.ruoyi.web.JC.JC.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.web.JC.JC.entity.JcModel;
import com.ruoyi.web.JC.JC.service.JcModelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

/**
 * 极创案例(JcModel)表控制层
 *
 * @author makejava
 * @since 2024-12-18 14:39:10
 */
@Api(tags = "极创案例")
@RestController
@RequestMapping("/jcModel")
public class JcModelController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private JcModelService jc;

    /**
     * 分页查询
     *
     * @param jcModel 筛选条件

     * @return 查询结果
     */
    @ApiOperation("分页查询")
    @GetMapping
    public TableDataInfo queryByPage(JcModel jcModel) {
        startPage();
        List<JcModel> list=jc.queryByPage(jcModel);
        return getDataTable(list);
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult queryById(@PathVariable("id") Integer id) {
        return AjaxResult.success(this.jc.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param jcModel 实体
     * @return 新增结果
     */
    @ApiOperation("通过主键查询单条数据")
    @PostMapping
    public AjaxResult add(@RequestBody JcModel jcModel) {
        return AjaxResult.success(this.jc.insert(jcModel));
    }

    /**
     * 编辑数据
     *
     * @param jcModel 实体
     * @return 编辑结果
     */
    @ApiOperation("编辑数据")
    @PutMapping
    public AjaxResult edit(@RequestBody  JcModel jcModel) {
        return AjaxResult.success(this.jc.update(jcModel));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @ApiOperation("删除数据")
    @PostMapping("/delete/{id}")
    public AjaxResult deleteById(@PathVariable("id") String id) {
        List<String> idList = Arrays.asList(id.split(","));
        this.jc.deleteById(idList);
        return AjaxResult.success();
    }

}

